Download

Download the latest version of Samatic


Download Samatic

Latest version: 1.3.0 — no older versions

Requirements

The requirements as shown below will run a smooth functional version of Samatic please make sure your server requirements meet the following!

PHP 5+ and MySQL 5.6